<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.mx.dla.dda.reporte.movimientos.daos.ReporteMovimientosDAO">

	
	
	
	<resultMap id="reportemovimientos" type="ReporteMovimietosDTO">
		<result property="idBV"						column="ID_BV"/>
		<result property="idSAP"					column="ID_SAP"/>
		<result property="baja"						column="BAJA"/>
		<result property="vidaUtil"					column="VIDA_UTIL"/>
		<result property="cambioCosto"				column="CAMBIO_COSTO"/>
		<result property="fechaNotifSAP"			column="FECHA_NOTIFSAP"/>
		<result property="idTituloCNT"				column="ID_TITULO_CNT"/>
		<result property="descTitulo"				column="DESC_TITULO"/>
		<result property="numeroContrato"			column="NUMERO_CONTRATO"/>
		<result property="fechaInicio"				column="FECHA_INICIO"/>
		<result property="fechaFin"					column="FECHA_FIN"/>
		<result property="costo"					column="COSTO"/>
		<result property="fechaContabilizacion"		column="FECHA_CONTABILIZACION"/>
	</resultMap>
	
	<select id="obtenerReporteMovimientos" resultMap="reportemovimientos">

		SELECT dtct.ID_BV, dtct.ID_SAP, 
		CASE WHEN dtct.BAJA_PERDIDA = 1 THEN 'BAJA' ELSE 'NO' END AS BAJA,
		CASE WHEN dtct.AJUSTO_VU  = 1 THEN 'CAMBIO VIDA UTIL' ELSE 'NO' END AS VIDA_UTIL,
		CASE WHEN dtct.AJUSTO_VALOR  = 1 THEN 'CAMBIO DE COSTO' ELSE 'NO' END AS CAMBIO_COSTO,
		TO_CHAR(dtct.FECHA_NOTIFSAP, 'dd-mm-yyyy') AS FECHA_NOTIFSAP, dtct.ID_TITULO_CNT, dtct.DESC_TITULO, 
		dtc.NUMERO_CONTRATO, TO_CHAR(dtct.FECHA_INICIO, 'dd-mm-yyyy') AS FECHA_INICIO , TO_CHAR(dtct.FECHA_FIN, 'dd-mm-yyyy') AS FECHA_FIN, 
		ROUND(dtct.COSTO,3) AS COSTO, TO_CHAR(dtct.FECHA_CONTABILIZACION, 'dd-mm-yyyy') AS FECHA_CONTABILIZACION 
		FROM DDA_T_CONTRATO_TITULO dtct 
		INNER JOIN DDA_T_CONTRATO dtc ON dtct.ID_CONTRATO = dtc.ID_CONTRATO WHERE 
		<if test="mes != null"> to_char(dtct.FECHA_CONTABILIZACION,'MM/YYYY') = #{mes} AND </if>
		<if test="idContrato != null"> dtc.ID_CONTRATO = #{idContrato} AND </if>
		dtc.ID_ESTUDIO = #{idEstudio}
	</select>
	
	

</mapper>